Subject: Re: [RFC NET_SCHED 00/03]: ktime + nano-second clock resolution for packet schedulers

From: Stephen Hemminger <[email-masked]>
Date: Mon, 5 Mar 2007 11:09:28 -0800

On Mon, 05 Mar 2007 18:42:26 +0100
Patrick McHardy <[email-masked]> wrote:

> David Miller wrote:
> > Frankly, I think now that we have ktime and all of the proper generic
> > infrastructure to do this stuff properly, I think we should just use
> > ktime for the packet scheduler across the board and just delete all of
> > that old by-hand timekeeping selection crap from pkt_sched.h
> 
> Sounds good, I'm going to remove all other clock sources.
> Will resend in a couple of days after fixing a few more
> problems I noticed.
> 

Don't bother changing netem. I have a version that uses hrtimer's
and doesn't use PSCHED() clock source anymore.

-- 
Stephen Hemminger <[email-masked]>